| Version: 3.3.1

Classes | Enumerations | Functions
geometry.h File Reference

## Classes
class | wxPoint2DInt
class | wxPoint2DDouble
| wxPoint2DDouble represents a point in a 2D (Cartesian) coordinate system, with additional vector operations available. More...
class | wxRect2DDouble
| wxRect2DDouble is an axis-aligned rectangle; each side of the rect is parallel to the X or Y axis. More...
class | wxRect2DInt
class | wxTransform2D

## Enumerations
enum | wxOutCode { wxInside = 0x00 , wxOutLeft = 0x01 , wxOutRight = 0x02 , wxOutTop = 0x08 , wxOutBottom = 0x04 }
| Represents where a point is in relation to a rectangle. More...

## Functions
wxPoint2DInt | operator+ (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator- (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator* (wxDouble n, const wxPoint2DInt &pt)
wxPoint2DInt | operator* (wxInt32 n, const wxPoint2DInt &pt)
wxPoint2DInt | operator* (const wxPoint2DInt &pt, wxDouble n)
wxPoint2DInt | operator* (const wxPoint2DInt &pt, wxInt32 n)
wxPoint2DInt | operator/ (const wxPoint2DInt &pt, wxDouble n)
wxPoint2DInt | operator/ (const wxPoint2DInt &pt, wxInt32 n)

## Enumeration Type Documentation

## ◆ wxOutCode

enum wxOutCode

Represents where a point is in relation to a rectangle.

Enumerator
wxInside | The point is inside the rectangle.
wxOutLeft | The point is outside of the rectangle, to its left.
wxOutRight | The point is outside of the rectangle, to its right.
wxOutTop | The point is outside of the rectangle, above it.
wxOutBottom | The point is outside of the rectangle, below it.

## Function Documentation

## ◆ operator*() [1/4]

wxPoint2DInt operator* | ( | const wxPoint2DInt & | pt,
|  | wxDouble | n
| ) |  |

## ◆ operator*() [2/4]

wxPoint2DInt operator* | ( | const wxPoint2DInt & | pt,
|  | wxInt32 | n
| ) |  |

## ◆ operator*() [3/4]

wxPoint2DInt operator* | ( | wxDouble | n,
|  | const wxPoint2DInt & | pt
| ) |  |

## ◆ operator*() [4/4]

wxPoint2DInt operator* | ( | wxInt32 | n,
|  | const wxPoint2DInt & | pt
| ) |  |

## ◆ operator+()

wxPoint2DInt operator+ | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2
| ) |  |

## ◆ operator-()

wxPoint2DInt operator- | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2
| ) |  |

## ◆ operator/() [1/2]

wxPoint2DInt operator/ | ( | const wxPoint2DInt & | pt,
|  | wxDouble | n
| ) |  |

## ◆ operator/() [2/2]

wxPoint2DInt operator/ | ( | const wxPoint2DInt & | pt,
|  | wxInt32 | n
| ) |  |